curl https://router.requesty.ai/v1/models \
-H "Authorization: Bearer YOUR_REQUESTY_API_KEY"
from openai import OpenAI
client = OpenAI(
api_key="YOUR_REQUESTY_API_KEY",
base_url="https://router.requesty.ai/v1",
)
models = client.models.list()
for model in models.data:
print(model.id)
import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.REQUESTY_API_KEY,
baseURL: "https://router.requesty.ai/v1",
});
const models = await client.models.list();
for (const model of models.data) {
console.log(model.id);
}
{
"object": "list",
"data": [
{
"api": "chat",
"id": "vertex/claude-sonnet-4-5",
"object": "model",
"created": 1747933971,
"updated": 1747933971,
"owned_by": "system",
"pricing": [
{
"prompt_tokens_threshold": 0,
"input_price": 3e-06,
"caching_price": 3.75e-06,
"caching_5m_price": 3.75e-06,
"caching_1h_price": 6e-06,
"cached_price": 3e-07,
"output_price": 1.5e-05
},
{
"prompt_tokens_threshold": 200000,
"input_price": 6e-06,
"caching_price": 7.5e-06,
"caching_5m_price": 7.5e-06,
"caching_1h_price": 1.2e-05,
"cached_price": 6e-07,
"output_price": 2.25e-05
}
],
"max_output_tokens": 64000,
"context_window": 200000,
"supports_caching": true,
"supports_vision": true,
"supports_computer_use": true,
"supports_reasoning": true,
"supports_image_generation": false,
"supports_tool_calling": true,
"supports_role_developer": false,
"supports_web_search": true,
"supports_output_json_object": true,
"supports_output_json_schema": true,
"description": "The first hybrid reasoning model on the market with the highest level of intelligence and capability with toggleable extended thinking. Top-tier results in reasoning, coding, multilingual tasks, long-context handling, honesty, and image processing.",
"data_retention": false,
"data_retention_days": 0,
"data_used_for_training": false,
"privacy_comments": "N/A",
"geolocation": "global",
"open_weights": false,
"model_lab": "vertex",
"model_canonical_name": "claude-sonnet-4-5"
}
]
}
List Models
Get all available models. If authenticated with a Requesty API key, returns only approved models for your organization. Otherwise, returns all public models.
GET
/
v1
/
models
curl https://router.requesty.ai/v1/models \
-H "Authorization: Bearer YOUR_REQUESTY_API_KEY"
from openai import OpenAI
client = OpenAI(
api_key="YOUR_REQUESTY_API_KEY",
base_url="https://router.requesty.ai/v1",
)
models = client.models.list()
for model in models.data:
print(model.id)
import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.REQUESTY_API_KEY,
baseURL: "https://router.requesty.ai/v1",
});
const models = await client.models.list();
for (const model of models.data) {
console.log(model.id);
}
{
"object": "list",
"data": [
{
"api": "chat",
"id": "vertex/claude-sonnet-4-5",
"object": "model",
"created": 1747933971,
"updated": 1747933971,
"owned_by": "system",
"pricing": [
{
"prompt_tokens_threshold": 0,
"input_price": 3e-06,
"caching_price": 3.75e-06,
"caching_5m_price": 3.75e-06,
"caching_1h_price": 6e-06,
"cached_price": 3e-07,
"output_price": 1.5e-05
},
{
"prompt_tokens_threshold": 200000,
"input_price": 6e-06,
"caching_price": 7.5e-06,
"caching_5m_price": 7.5e-06,
"caching_1h_price": 1.2e-05,
"cached_price": 6e-07,
"output_price": 2.25e-05
}
],
"max_output_tokens": 64000,
"context_window": 200000,
"supports_caching": true,
"supports_vision": true,
"supports_computer_use": true,
"supports_reasoning": true,
"supports_image_generation": false,
"supports_tool_calling": true,
"supports_role_developer": false,
"supports_web_search": true,
"supports_output_json_object": true,
"supports_output_json_schema": true,
"description": "The first hybrid reasoning model on the market with the highest level of intelligence and capability with toggleable extended thinking. Top-tier results in reasoning, coding, multilingual tasks, long-context handling, honesty, and image processing.",
"data_retention": false,
"data_retention_days": 0,
"data_used_for_training": false,
"privacy_comments": "N/A",
"geolocation": "global",
"open_weights": false,
"model_lab": "vertex",
"model_canonical_name": "claude-sonnet-4-5"
}
]
}
This endpoint is an alias to
/v1/models/chat to maintain compatibility with most tools and SDKs.curl https://router.requesty.ai/v1/models \
-H "Authorization: Bearer YOUR_REQUESTY_API_KEY"
from openai import OpenAI
client = OpenAI(
api_key="YOUR_REQUESTY_API_KEY",
base_url="https://router.requesty.ai/v1",
)
models = client.models.list()
for model in models.data:
print(model.id)
import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.REQUESTY_API_KEY,
baseURL: "https://router.requesty.ai/v1",
});
const models = await client.models.list();
for (const model of models.data) {
console.log(model.id);
}
{
"object": "list",
"data": [
{
"api": "chat",
"id": "vertex/claude-sonnet-4-5",
"object": "model",
"created": 1747933971,
"updated": 1747933971,
"owned_by": "system",
"pricing": [
{
"prompt_tokens_threshold": 0,
"input_price": 3e-06,
"caching_price": 3.75e-06,
"caching_5m_price": 3.75e-06,
"caching_1h_price": 6e-06,
"cached_price": 3e-07,
"output_price": 1.5e-05
},
{
"prompt_tokens_threshold": 200000,
"input_price": 6e-06,
"caching_price": 7.5e-06,
"caching_5m_price": 7.5e-06,
"caching_1h_price": 1.2e-05,
"cached_price": 6e-07,
"output_price": 2.25e-05
}
],
"max_output_tokens": 64000,
"context_window": 200000,
"supports_caching": true,
"supports_vision": true,
"supports_computer_use": true,
"supports_reasoning": true,
"supports_image_generation": false,
"supports_tool_calling": true,
"supports_role_developer": false,
"supports_web_search": true,
"supports_output_json_object": true,
"supports_output_json_schema": true,
"description": "The first hybrid reasoning model on the market with the highest level of intelligence and capability with toggleable extended thinking. Top-tier results in reasoning, coding, multilingual tasks, long-context handling, honesty, and image processing.",
"data_retention": false,
"data_retention_days": 0,
"data_used_for_training": false,
"privacy_comments": "N/A",
"geolocation": "global",
"open_weights": false,
"model_lab": "vertex",
"model_canonical_name": "claude-sonnet-4-5"
}
]
}
/v1/models/embedding, /v1/models/image, /v1/models/transcription, /v1/models/speech, or /v1/models/all for everything at once.
Browse the full catalog interactively on the Model Library.Last modified on August 7, 2026
Was this page helpful?
⌘I